#!/bin/sh
#
# Shell script to install Java-based GUI RAID Manager.
 
cd ..
SRCDIR=`pwd`
OSDIR=${SRCDIR}/solaris8.x86
COMDIR=${SRCDIR}/common

if [ ! -r /usr/.path.ori ]; then
   echo "`echo $PATH`" > /usr/.path.ori
fi

# Install .java.policy & .keystore
(cp -f ${COMDIR}/keystore.jav ${HOME}/.keystore) > /dev/null 2>&1
(cp -f ${COMDIR}/policy.jav ${HOME}/.java.policy) > /dev/null 2>&1

more << "EOF"

        *************************************************************
             Java-based GUI RAID Manager Installation Procedure
        *************************************************************

SECTION I: Java-based GUI RAID Manager Installation

*NOTE: To install and configure Java-based GUI RAID Manager successfully,
       We highly recommend you refer to INSTALLATION GUIDE in advance.

EOF
 
echo "Would you like to install Java-based GUI RAID Manager now?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
		  if [ -r /usr/.ift.ini ]; then
		     echo "Please remove previous installation!"
		     return
		  fi
          cd $COMDIR; 
          java -Djava.compiler="" -cp ${COMDIR}/install.jar Install > /dev/null 2>&1;
          if [ -r /usr/.iftgui.ini -a -r /usr/.iftagent.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
			 else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
             echo "`cat /usr/.iftagent.ini`secondary > /dev/null 2>&1" > /etc/.iftraidagent
             echo "`cat /usr/.iftagent.ini`primary > /dev/null 2>&1" >> /etc/.iftraidagent      
             chmod +x /etc/.iftraidagent
             if [ ! -r /etc/inittab.ori ]; then
                cp -f /etc/inittab /etc/inittab.ori
             else
                cp -f /etc/inittab.ori /etc/inittab
             fi
             echo "ift::boot:/etc/.iftraidagent" >> /etc/inittab
             echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
             echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
             chmod +x `cat /usr/.iftgui.ini`uninstal.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grm.sh		
             echo "java -jar grm.jar > /dev/null 2>&1" >> /usr/bin/grm.sh    
             chmod +x /usr/bin/grm.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grem.sh		
             echo "java -cp grm.jar:grem.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/bin/grem.sh    
             chmod +x /usr/bin/grem.sh 
             echo "export PATH; PATH=`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini        
             . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             secondary > /dev/null 2>&1
             primary > /dev/null 2>&1
#             rm -f /usr/.ift.ini > /dev/null 2>&1
             rm -f /usr/.iftagent.ini > /dev/null 2>&1
             rm -f /usr/.iftgui.ini > /dev/null 2>&1       
             echo "Install Java-based GUI RAID Manager Finished!";
          elif [ -r /usr/.iftgui.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
			 else
		        cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
             echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
             echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
             chmod +x `cat /usr/.iftgui.ini`uninstal.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grm.sh		
             echo "java -jar grm.jar > /dev/null 2>&1" >> /usr/bin/grm.sh    
             chmod +x /usr/bin/grm.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/bin/grem.sh		
             echo "java -cp grm.jar:grem.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/bin/grem.sh    
             chmod +x /usr/bin/grem.sh 
             echo "export PATH; PATH=`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`" > /usr/.ift.ini        
             . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
#             rm -f /usr/.ift.ini > /dev/null 2>&1
             rm -f /usr/.iftgui.ini > /dev/null 2>&1       
             echo "Install Java-based GUI RAID Manager Finished!";
		  elif [ -r /usr/.iftagent.ini ]; then
             if [ ! -r ${HOME}/.dtprofile.ori ]; then
                cp -f ${HOME}/.dtprofile ${HOME}/.dtprofile.ori
			 else
                cp -f ${HOME}/.dtprofile.ori ${HOME}/.dtprofile
             fi
             echo "`cat /usr/.iftagent.ini`secondary > /dev/null 2>&1" > /etc/.iftraidagent
             echo "`cat /usr/.iftagent.ini`primary > /dev/null 2>&1" >> /etc/.iftraidagent      
             chmod +x /etc/.iftraidagent
             if [ ! -r /etc/inittab.ori ]; then
                cp -f /etc/inittab /etc/inittab.ori
             else
                cp -f /etc/inittab.ori /etc/inittab
             fi
             echo "ift::boot:/etc/.iftraidagent" >> /etc/inittab
             echo "INSTALLERDIR=`cat /usr/.iftagent.ini`" > `cat /usr/.iftagent.ini`uninstal.sh
             echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftagent.ini`uninstal.sh
             chmod +x `cat /usr/.iftagent.ini`uninstal.sh 
             echo "export PATH; PATH=`cat /usr/.path.ori`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini        
             . /usr/.ift.ini
             cat /usr/.ift.ini >> ${HOME}/.dtprofile               
             secondary > /dev/null 2>&1
             primary > /dev/null 2>&1
#             rm -f /usr/.ift.ini > /dev/null 2>&1
             rm -f /usr/.iftagent.ini > /dev/null 2>&1
             echo "Install Java-based GUI RAID Manager Finished!";
          else
             echo "Install Java-based GUI RAID Manager Canceled!";	   
          fi
          agreed=1;;
       n* | N*)
          echo "Install Java-based GUI RAID Manager Canceled!";
          agreed=1;;
    esac
done
more << "EOF"

----------------------------------------------------------------------------
SECTION II: In-band SCSI Driver Installation

*NOTE: You need to install inband driver before you can manage stand-alone RAID controller.

EOF
 
echo "Would you like to install In-band SCSI Driver now ?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cp -f ${OSDIR}/dasc32/dasc.ori /usr/kernel/drv/dasc > /dev/null 2>&1
          cp -f ${OSDIR}/dasc32/dasc.con /usr/kernel/drv/dasc.conf > /dev/null 2>&1
          ${OSDIR}/dasc32/dascinst.sh
		  cp -f ${OSDIR}/uninband.sh /usr/bin/ > /dev/null 2>&1
          echo
          echo "Install In-band SCSI Driver Finished !";
          echo 
#          echo "!!! You need to restart system to get In-band SCSI Driver started !!!"
          agreed=1;;
       n* | N*)
          echo "Install In-band SCSI Driver canceled !";
          agreed=1;;
    esac
done
